Subject: Ticket Assigned - Order no 9413474852
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 11 Feb 2023 11:30:50 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order no 9413474852 Good day

When I track this order it shows that twice now it has been undelivered.  I was home in both cases, I have a camera that shows nobody was here and I was not phones by anyone either.  Please can you urgently investigate why my order is not being delivered?

This is the address:  Meydan South C3-14, Al Abjar Street, Wadi al Safa3 / Nad al Sheba 1, Dubai.
Phone number: 0564407990.

Kind regards

Annique Oosthuizen
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5681266